%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           cloud-init
Version:        0.7.5
%define 	subrel 1
Release:        %mkrel 7
Summary:        Cloud instance init scripts

Group:          Networking/Other
License:        GPLv3
URL:            http://launchpad.net/cloud-init
Source0:        https://launchpad.net/cloud-init/trunk/%{version}/+download/%{name}-%{version}.tar.gz
Source1:        cloud-init-mageia.cfg
Source2:        cloud-init-README.mageia
Source3:        mageia.py
Patch0:         cloud-init-0.7.2-mageia.patch

Patch1:         294be6b7e4687cd72e6f7983935eec1772c45a57.patch
Patch2:         42788bf24a1a0a5421a2d00a7f59b59e38ba1a14.patch


BuildArch:      noarch

BuildRequires:  pkgconfig(python)
BuildRequires:  python-setuptools-devel
BuildRequires:  systemd-units
Requires:       dmidecode
Requires:       e2fsprogs
Requires:       hostname
Requires:       iproute2
Requires:       python-selinux
Requires:       net-tools
Requires:       policycoreutils-python
Requires:       procps
Requires:       python-boto
Requires:       python-cheetah
Requires:       python-configobj
Requires:       python-prettytable
Requires:       python-requests
Requires:       rsyslog
Requires:       shadow-utils
Requires:       xfsprogs
Requires:       run-parts
Requires:       cloud-utils-growpart
Requires(post):   systemd-units
Requires(preun):  systemd-units
Requires(postun): systemd-units

%description
Cloud-init is a set of init scripts for cloud instances.  Cloud instances
need special scripts to run during initialization to retrieve and install
ssh keys and to let the user run various scripts.


%prep
%setup -q 
%autopatch -p1

cp -p %{SOURCE2} README.fedora
cp %{SOURCE3} cloudinit/distros

%build
%py2_build


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

# Don't ship the tests
rm -r $RPM_BUILD_ROOT%{python_sitelib}/tests

mkdir -p $RPM_BUILD_ROOT/%{_sharedstatedir}/cloud

# We supply our own config file since our software differs from Ubuntu's.
cp -p %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/cloud/cloud.cfg

mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/rsyslog.d
cp -p tools/21-cloudinit.conf $RPM_BUILD_ROOT/%{_sysconfdir}/rsyslog.d/21-cloudinit.conf

# Install the systemd bits
mkdir -p        $RPM_BUILD_ROOT/%{_unitdir}
cp -p systemd/* $RPM_BUILD_ROOT/%{_unitdir}


%post
if [ $1 -eq 1 ] ; then
    # Initial installation
    # Enabled by default per "runs once then goes away" exception
    /bin/systemctl enable cloud-config.service     >/dev/null 2>&1 || :
    /bin/systemctl enable cloud-final.service      >/dev/null 2>&1 || :
    /bin/systemctl enable cloud-init.service       >/dev/null 2>&1 || :
    /bin/systemctl enable cloud-init-local.service >/dev/null 2>&1 || :
fi

%preun
if [ $1 -eq 0 ] ; then
    # Package removal, not upgrade
    /bin/systemctl --no-reload disable cloud-config.service >/dev/null 2>&1 || :
    /bin/systemctl --no-reload disable cloud-final.service  >/dev/null 2>&1 || :
    /bin/systemctl --no-reload disable cloud-init.service   >/dev/null 2>&1 || :
    /bin/systemctl --no-reload disable cloud-init-local.service >/dev/null 2>&1 || :
    # One-shot services -> no need to stop
fi

%postun
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
# One-shot services -> no need to restart


%files
%doc ChangeLog LICENSE TODO README.fedora
%config(noreplace) %{_sysconfdir}/cloud/cloud.cfg
%dir               %{_sysconfdir}/cloud/cloud.cfg.d
%config(noreplace) %{_sysconfdir}/cloud/cloud.cfg.d/*.cfg
%doc               %{_sysconfdir}/cloud/cloud.cfg.d/README
%dir               %{_sysconfdir}/cloud/templates
%config(noreplace) %{_sysconfdir}/cloud/templates/*
%{_unitdir}/cloud-config.service
%{_unitdir}/cloud-config.target
%{_unitdir}/cloud-final.service
%{_unitdir}/cloud-init-local.service
%{_unitdir}/cloud-init.service
%{python2_sitelib}/*
%{_libexecdir}/%{name}
%{_bindir}/cloud-init*
%doc %{_datadir}/doc/%{name}
%dir %{_sharedstatedir}/cloud

%config(noreplace) %{_sysconfdir}/rsyslog.d/21-cloudinit.conf


%changelog
* Sun May 24 2020 neoclust <neoclust> 0.7.5-7.1.mga7
+ Revision: 1587403
- Add P1/P2 to fix security issue (mga#26236)

* Tue Sep 18 2018 umeabot <umeabot> 0.7.5-7.mga7
+ Revision: 1261459
- Mageia 7 Mass Rebuild

* Wed Feb 03 2016 umeabot <umeabot> 0.7.5-6.mga6
+ Revision: 933841
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.7.5-5.mga5
+ Revision: 744925
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.7.5-4.mga5
+ Revision: 726052
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.7.5-3.mga5
+ Revision: 678432
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 luigiwalser <luigiwalser> 0.7.5-2.mga5
+ Revision: 673848
- add requires on hostname now that it is in a different package

* Thu Jul 10 2014 joequant <joequant> 0.7.5-1.mga5
+ Revision: 651058
- fix cloud-init require and update to 0.7.5

* Sat May 31 2014 pterjan <pterjan> 0.7.2-8.mga5
+ Revision: 628134
- Rebuild for new Python
+ joequant <joequant>
- add dependency on cloud-utils-growpart

* Wed Nov 27 2013 joequant <joequant> 0.7.2-6.mga4
+ Revision: 553686
- add cloud-init
- add growpart to cloud-init

* Mon Nov 25 2013 joequant <joequant> 0.7.2-5.mga4
+ Revision: 553373
- add mageia cloud init module

* Tue Oct 22 2013 umeabot <umeabot> 0.7.2-4.mga4
+ Revision: 542528
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 0.7.2-3.mga4
+ Revision: 497674
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Sep 23 2013 joequant <joequant> 0.7.2-2.mga4
+ Revision: 483775
- fix requires to be consistent with mageia

* Sun Sep 22 2013 joequant <joequant> 0.7.2-1.mga4
+ Revision: 483137
- imported package cloud-init

